Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core
Class QVTOThread

    java.lang.Object
      DebugElement
          org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
              org.eclipse.m2m.qvt.oml.debug.core.QVTOThread

All Implemented Interfaces:
  VMEventListener

    public class QVTOThread

extends QVTODebugElement
implements VMEventListener

Constructor Summary
`QVTOThread(org.eclipse.m2m.qvt.oml.debug.core.IQVTODebugTarget target)`

Method Summary
`boolean` | `canResume()`
`boolean` | `canStepInto()`
`boolean` | `canStepOver()`
`boolean` | `canStepReturn()`
`boolean` | `canSuspend()`
`boolean` | `canTerminate()`
`IBreakpoint[]` | `getBreakpoints()`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`IStackFrame[]` | `getStackFrames()`
`IStackFrame` | `getTopStackFrame()`
`void` | `handleEvent(VMEvent event)`
`boolean` | `hasStackFrames()`
`boolean` | `isDeferredExecution()`
`boolean` | `isStepping()`
`boolean` | `isSuspended()`
`boolean` | `isTerminated()`
`void` | `resume()`
`void` | `stepInto()`
`void` | `stepOver()`
`void` | `stepReturn()`
`void` | `suspend()`
`void` | `terminate()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.QVTODebugElement
`getModelIdentifier, getQVTODebugTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOThread

    public QVTOThread(org.eclipse.m2m.qvt.oml.debug.core.IQVTODebugTarget target)

Method Detail

### isDeferredExecution

    public boolean isDeferredExecution()

### hasStackFrames

    public boolean hasStackFrames()
                           throws DebugException

  Throws:
    `DebugException`

### getStackFrames

    public IStackFrame[] getStackFrames()
                                 throws DebugException

  Throws:
    `DebugException`

### getPriority

    public int getPriority()
                    throws DebugException

  Throws:
    `DebugException`

### getTopStackFrame

    public IStackFrame getTopStackFrame()
                                 throws DebugException

  Throws:
    `DebugException`

### getName

    public java.lang.String getName()
                             throws DebugException

  Throws:
    `DebugException`

### getBreakpoints

    public IBreakpoint[] getBreakpoints()

### canResume

    public boolean canResume()

### canSuspend

    public boolean canSuspend()

### isSuspended

    public boolean isSuspended()

### resume

    public void resume()
                throws DebugException

  Throws:
    `DebugException`

### suspend

    public void suspend()
                 throws DebugException

  Throws:
    `DebugException`

### canStepInto

    public boolean canStepInto()

### stepInto

    public void stepInto()
                  throws DebugException

  Throws:
    `DebugException`

### canStepOver

    public boolean canStepOver()

### stepOver

    public void stepOver()
                  throws DebugException

  Throws:
    `DebugException`

### canStepReturn

    public boolean canStepReturn()

### stepReturn

    public void stepReturn()
                    throws DebugException

  Throws:
    `DebugException`

### isStepping

    public boolean isStepping()

### canTerminate

    public boolean canTerminate()

### isTerminated

    public boolean isTerminated()

### terminate

    public void terminate()
                   throws DebugException

  Throws:
    `DebugException`

### handleEvent

    public void handleEvent(VMEvent event)

  Specified by:
    `handleEvent` in interface `VMEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD